gnutls_x509_trust_list_get_issuer_by_subject_key_id(3)

NAME
gnutls_x509_trust_list_get_issuer_by_subject_key_id - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_get_issuer_by_subject_key_id(gnutls_x509_trust_list_t list, const gnutls_datum_t * dn, const gnutls_datum_t * spki, gnutls_x509_crt_t * issuer, unsigned int flags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

const gnutls_datum_t * dn
    is the issuer's DN (may be NULL)

const gnutls_datum_t * spki
    is the subject key ID

gnutls_x509_crt_t * issuer
    Will hold the issuer if any. Should be deallocated after use.

unsigned int flags
    Use zero

DESCRIPTION
This function will find the issuer with the given name and subject key ID, and return a copy of the issuer, which must be freed using gnutls_x509_crt_deinit().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/